Wallets
List wallets
GET
Requires scope wallets:read.
ApiKeyheader
AuthorizationBearer <sk_test_ or sk_live_ key>Your sk_live_ / sk_test_ API key
customerId?unknowntreasury?unknownmoduleId?unknowncursor?unknownlimit?unknownResponse Body
200application/json
Wallet page
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
401application/json
The Authorization header is missing, malformed, or the API key is unknown or revoked
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
429application/json
The API key exceeded its request budget for the window
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
Language
curl -X GET 'https://api.pilot.shiga.io/v1/wallets' \ -H 'Authorization: Bearer sk_test_...'Example Response
{ "data": { "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "entityKey": "string", "moduleId": "string", "treasury": true, "label": "string", "status": "string", "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac", "createdAt": "2019-08-24T14:15:22Z", "addresses": [ { "chain": "string", "address": "string" } ] } ], "nextCursor": "string" }, "status": 200, "success": true}